Create User
curl --request POST \
--url https://api.sonderplan.com/v2/user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Jane",
"last_name": "Smith",
"primary_email": "[email protected]",
"username": "jsmith",
"group_id": 9223,
"timezone": "Australia/Sydney",
"locale": "en_US",
"date_format": "d/m/Y",
"time_format": "1",
"notification": true,
"expires": 123,
"schedule_view_mode": 123
}
'import requests
url = "https://api.sonderplan.com/v2/user"
payload = {
"first_name": "Jane",
"last_name": "Smith",
"primary_email": "[email protected]",
"username": "jsmith",
"group_id": 9223,
"timezone": "Australia/Sydney",
"locale": "en_US",
"date_format": "d/m/Y",
"time_format": "1",
"notification": True,
"expires": 123,
"schedule_view_mode": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Jane',
last_name: 'Smith',
primary_email: '[email protected]',
username: 'jsmith',
group_id: 9223,
timezone: 'Australia/Sydney',
locale: 'en_US',
date_format: 'd/m/Y',
time_format: '1',
notification: true,
expires: 123,
schedule_view_mode: 123
})
};
fetch('https://api.sonderplan.com/v2/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sonderplan.com/v2/user",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => 'Jane',
'last_name' => 'Smith',
'primary_email' => '[email protected]',
'username' => 'jsmith',
'group_id' => 9223,
'timezone' => 'Australia/Sydney',
'locale' => 'en_US',
'date_format' => 'd/m/Y',
'time_format' => '1',
'notification' => true,
'expires' => 123,
'schedule_view_mode' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sonderplan.com/v2/user"
payload := strings.NewReader("{\n \"first_name\": \"Jane\",\n \"last_name\": \"Smith\",\n \"primary_email\": \"[email protected]\",\n \"username\": \"jsmith\",\n \"group_id\": 9223,\n \"timezone\": \"Australia/Sydney\",\n \"locale\": \"en_US\",\n \"date_format\": \"d/m/Y\",\n \"time_format\": \"1\",\n \"notification\": true,\n \"expires\": 123,\n \"schedule_view_mode\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sonderplan.com/v2/user")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"Jane\",\n \"last_name\": \"Smith\",\n \"primary_email\": \"[email protected]\",\n \"username\": \"jsmith\",\n \"group_id\": 9223,\n \"timezone\": \"Australia/Sydney\",\n \"locale\": \"en_US\",\n \"date_format\": \"d/m/Y\",\n \"time_format\": \"1\",\n \"notification\": true,\n \"expires\": 123,\n \"schedule_view_mode\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sonderplan.com/v2/user")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"Jane\",\n \"last_name\": \"Smith\",\n \"primary_email\": \"[email protected]\",\n \"username\": \"jsmith\",\n \"group_id\": 9223,\n \"timezone\": \"Australia/Sydney\",\n \"locale\": \"en_US\",\n \"date_format\": \"d/m/Y\",\n \"time_format\": \"1\",\n \"notification\": true,\n \"expires\": 123,\n \"schedule_view_mode\": 123\n}"
response = http.request(request)
puts response.read_body{
"success": {
"id": 2384
}
}{
"error": {
"code": 400,
"message": "name is required... Name of the tax"
}
}User
Create User
WRITE access to the ADMIN module is required to access this endpointIf you are using Sonderplan on a Flexible Billing plan, creating users will result in additional charges (calculated pro rata) being automatically charged to your credit card.
POST
/
v2
/
user
Create User
curl --request POST \
--url https://api.sonderplan.com/v2/user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Jane",
"last_name": "Smith",
"primary_email": "[email protected]",
"username": "jsmith",
"group_id": 9223,
"timezone": "Australia/Sydney",
"locale": "en_US",
"date_format": "d/m/Y",
"time_format": "1",
"notification": true,
"expires": 123,
"schedule_view_mode": 123
}
'import requests
url = "https://api.sonderplan.com/v2/user"
payload = {
"first_name": "Jane",
"last_name": "Smith",
"primary_email": "[email protected]",
"username": "jsmith",
"group_id": 9223,
"timezone": "Australia/Sydney",
"locale": "en_US",
"date_format": "d/m/Y",
"time_format": "1",
"notification": True,
"expires": 123,
"schedule_view_mode": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Jane',
last_name: 'Smith',
primary_email: '[email protected]',
username: 'jsmith',
group_id: 9223,
timezone: 'Australia/Sydney',
locale: 'en_US',
date_format: 'd/m/Y',
time_format: '1',
notification: true,
expires: 123,
schedule_view_mode: 123
})
};
fetch('https://api.sonderplan.com/v2/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sonderplan.com/v2/user",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => 'Jane',
'last_name' => 'Smith',
'primary_email' => '[email protected]',
'username' => 'jsmith',
'group_id' => 9223,
'timezone' => 'Australia/Sydney',
'locale' => 'en_US',
'date_format' => 'd/m/Y',
'time_format' => '1',
'notification' => true,
'expires' => 123,
'schedule_view_mode' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sonderplan.com/v2/user"
payload := strings.NewReader("{\n \"first_name\": \"Jane\",\n \"last_name\": \"Smith\",\n \"primary_email\": \"[email protected]\",\n \"username\": \"jsmith\",\n \"group_id\": 9223,\n \"timezone\": \"Australia/Sydney\",\n \"locale\": \"en_US\",\n \"date_format\": \"d/m/Y\",\n \"time_format\": \"1\",\n \"notification\": true,\n \"expires\": 123,\n \"schedule_view_mode\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sonderplan.com/v2/user")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"Jane\",\n \"last_name\": \"Smith\",\n \"primary_email\": \"[email protected]\",\n \"username\": \"jsmith\",\n \"group_id\": 9223,\n \"timezone\": \"Australia/Sydney\",\n \"locale\": \"en_US\",\n \"date_format\": \"d/m/Y\",\n \"time_format\": \"1\",\n \"notification\": true,\n \"expires\": 123,\n \"schedule_view_mode\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sonderplan.com/v2/user")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"Jane\",\n \"last_name\": \"Smith\",\n \"primary_email\": \"[email protected]\",\n \"username\": \"jsmith\",\n \"group_id\": 9223,\n \"timezone\": \"Australia/Sydney\",\n \"locale\": \"en_US\",\n \"date_format\": \"d/m/Y\",\n \"time_format\": \"1\",\n \"notification\": true,\n \"expires\": 123,\n \"schedule_view_mode\": 123\n}"
response = http.request(request)
puts response.read_body{
"success": {
"id": 2384
}
}{
"error": {
"code": 400,
"message": "name is required... Name of the tax"
}
}Authorizations
Body
application/json
Attributes pertaining to users
Example: